Retrieves the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "3ba5b30f-b9d9-4888-9f40-2157f5dc23f6",
  "user_id": "42d1b008-0a69-499c-a71d-d6e04ae8053f",
  "user_code": "sample string 3",
  "user": {
    "id": "07e16ca2-242c-4b9e-814e-cfc01aa8d073",
    "db_language_id": "93691581-dee3-4242-b218-35cdba0bf921",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-12T20:36:26.6801936+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "667af3bd-c6b5-4728-bcd6-13f1f9b03ff0",
    "sales_organization": {
      "id": "796e7f03-54d3-4e20-89ad-9b3d9dd2c5f0",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c331e672-8452-4645-bbb7-a5d01048dbf3",
      "db_currency_id": "e5d2ae88-3337-4d06-8f1e-6536b20c2efa",
      "db_language_id": "ea6d2163-974c-4665-8d54-839173a33cae",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:36:26.6801936+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "619e7030-5983-4eed-8704-2b80a92e22f4",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "a5668186-c60b-48cb-9820-c4ef00b8a334",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-12T20:36:26.6801936+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "5713768e-ab57-418d-ab60-f84670b6dc03"
  },
  "skill_id": "bcd268f5-cb7f-4a36-8a1e-45900c3da5ea",
  "skill_code": "sample string 5",
  "skill": {
    "id": "aa7dbd2c-b881-48c3-af49-aea204ca6a0e",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "fec442ea-1708-4514-927c-158b45cac43d",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "796e7f03-54d3-4e20-89ad-9b3d9dd2c5f0",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c331e672-8452-4645-bbb7-a5d01048dbf3",
      "db_currency_id": "e5d2ae88-3337-4d06-8f1e-6536b20c2efa",
      "db_language_id": "ea6d2163-974c-4665-8d54-839173a33cae",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-12T20:36:26.6801936+00:00"
    },
    "modified_dateutc": "2026-11-12T20:36:26.6801936+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-11-12T20:36:26.6801936+00:00"
}